Bug 97080 - [new port] audio/emms: The Emacs Multi Media System
Summary: [new port] audio/emms: The Emacs Multi Media System
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey Slusar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-10 10:20 UTC by dryice
Modified: 2006-05-24 12:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dryice 2006-05-10 10:20:13 UTC
	Attached is the shar file for emms, the Emacs Multi Media
	System, which makes it possible to play media files within Emacs.

Fix: --- attached file begins here ---


--- attached file ends here -----AK2PG6Nr2TUz9vBjQzojgWdKKR948M3Ztj2dg9695i1rw6XW
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/audio/emms
#	/usr/ports/audio/emms/Makefile
#	/usr/ports/audio/emms/pkg-descr
#	/usr/ports/audio/emms/pkg-plist
#	/usr/ports/audio/emms/distinfo
#	/usr/ports/audio/emms/files
#	/usr/ports/audio/emms/files/patch-Makefile
#
echo c - /usr/ports/audio/emms
mkdir -p /usr/ports/audio/emms > /dev/null 2>&1
echo x - /usr/ports/audio/emms/Makefile
sed 's/^X//' >/usr/ports/audio/emms/Makefile << 'END-of-/usr/ports/audio/emms/Makefile'
X# New ports collection makefile for:    emms
X# Date created:		10 May 2006
X# Whom:			Dryice Liu <dryice@dryice.name>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	emms
XPORTVERSION=	2.0
XCATEGORIES=	audio elisp
XMASTER_SITES=	http://www.gnu.org/software/emms/releases/ \
X		http://dryice.name/computer/FreeBSD/distfiles/
X
XMAINTAINER=	dryice@dryice.name
XCOMMENT=	EMMS is the Emacs Multi-Media System
X
XUSE_EMACS=	yes
XEMACS_PORT_NAME?=	emacs21
X
X.if ${EMACS_PORT_NAME} != "emacs21"
XPORTNAMESUFFIX=	${PKGNAMESUFFIX}
X.endif
X
XUSE_GMAKE=	yes
XMAN1=		emms-print-metadata.1
X
X.include <bsd.port.mk>
END-of-/usr/ports/audio/emms/Makefile
echo x - /usr/ports/audio/emms/pkg-descr
sed 's/^X//' >/usr/ports/audio/emms/pkg-descr << 'END-of-/usr/ports/audio/emms/pkg-descr'
XEMMS is the Emacs Multi-Media System. It tries to be a clean and small
Xapplication to play multimedia files from Emacs using external
Xplayers. Many of it's ideas are derived from MpthreePlayer
X(http://www.nongnu.org/mp3player), but it tries to be more general and
Xmore clean.
X
XWWW: http://www.gnu.org/software/emms/index.html
END-of-/usr/ports/audio/emms/pkg-descr
echo x - /usr/ports/audio/emms/pkg-plist
sed 's/^X//' >/usr/ports/audio/emms/pkg-plist << 'END-of-/usr/ports/audio/emms/pkg-plist'
X%%EMACS_SITE_LISPDIR%%/emms/emms-auto.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-libtag.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-libtag.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-mp3info.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-mp3info.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-ogg.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-ogg.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-ogginfo.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-info-ogginfo.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-info.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-info.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-lyrics.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-lyrics.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-maint.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-metaplaylist-mode.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-metaplaylist-mode.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-mode-line-icon.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-mode-line-icon.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-mode-line.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-mode-line.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-player-mpd.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-player-mpd.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-player-mplayer.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-player-mplayer.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-player-simple.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-player-simple.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-playing-time.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-playing-time.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-playlist-mode.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-playlist-mode.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-playlist-sort.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-playlist-sort.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-score.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-score.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-setup.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-setup.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-source-file.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-source-file.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-source-playlist.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-source-playlist.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-stream-info.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-stream-info.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms-streams.el
X%%EMACS_SITE_LISPDIR%%/emms/emms-streams.elc
X%%EMACS_SITE_LISPDIR%%/emms/emms.el
X%%EMACS_SITE_LISPDIR%%/emms/emms.elc
X%%EMACS_SITE_LISPDIR%%/emms/later-do.el
X%%EMACS_SITE_LISPDIR%%/emms/later-do.elc
X%%EMACS_SITE_LISPDIR%%/emms/ogg-comment.el
X%%EMACS_SITE_LISPDIR%%/emms/ogg-comment.elc
X@dirrm %%EMACS_SITE_LISPDIR%%/emms
END-of-/usr/ports/audio/emms/pkg-plist
echo x - /usr/ports/audio/emms/distinfo
sed 's/^X//' >/usr/ports/audio/emms/distinfo << 'END-of-/usr/ports/audio/emms/distinfo'
XMD5 (emms-2.0.tar.gz) = 0f4d18438fbe95988e47634651617a4c
XSHA256 (emms-2.0.tar.gz) = 3f6693ecffbf2aad123144a74f39fa0ca866690041d53836aa0a146db404e7b4
XSIZE (emms-2.0.tar.gz) = 103740
END-of-/usr/ports/audio/emms/distinfo
echo c - /usr/ports/audio/emms/files
mkdir -p /usr/ports/audio/emms/files > /dev/null 2>&1
echo x - /usr/ports/audio/emms/files/patch-Makefile
sed 's/^X//' >/usr/ports/audio/emms/files/patch-Makefile << 'END-of-/usr/ports/audio/emms/files/patch-Makefile'
X--- Makefile.orig	Sun Apr 30 03:28:28 2006
X+++ Makefile	Wed May 10 12:16:04 2006
X@@ -11,10 +11,10 @@
X DESTDIR=
X PREFIX=$(DESTDIR)/usr/local
X INFODIR=$(PREFIX)/info
X-MAN1DIR=$(PREFIX)/share/man/man1
X+MAN1DIR=$(PREFIX)/man/man1
X SITELISP=$(PREFIX)/share/emacs/site-lisp/emms
X 
X-INSTALLINFO = /usr/sbin/install-info --info-dir=$(INFODIR)
X+INSTALLINFO = /usr/bin/install-info --info-dir=$(INFODIR)
X 
X .PHONY: all install deb-install clean
X .PRECIOUS: %.elc %.info %.html
END-of-/usr/ports/audio/emms/files/patch-Makefile
exit
Comment 1 Andrey Slusar freebsd_committer 2006-05-23 22:07:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anray

I'll take it.
Comment 2 Andrey Slusar freebsd_committer 2006-05-24 12:15:49 UTC
State Changed
From-To: open->closed

New port added with changes and plist fixes. Please look.